> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all billing entities



## OpenAPI

````yaml /api-reference/ubb_openapi_inline.json get /billing-entities
openapi: 3.0.1
info:
  title: Usage Based Billing API
  version: 1.0.0
  description: An Orchestrator for Usage Based Billing and Payments
servers:
  - url: https://api-m.sandbox.paypal.com/v1/commerce/billing
security:
  - BearerAuth:
      - read
      - write
tags:
  - name: Alerts
    description: API endpoints for managing subscription alerts
  - name: Events
    description: API endpoints for managing events
  - name: Metrics
    description: API endpoints for metrics and usage data
  - name: Merchant Activation
    description: API endpoint for merchant activation
  - name: Credit Notes
    description: API endpoints for credit notes management
  - name: Customers
    description: API endpoints for customer management
  - name: Invoices
    description: API endpoints for invoice management
  - name: Plans
    description: API endpoints for subscription plans
  - name: Subscriptions
    description: API endpoints for subscriptions
  - name: Wallets
    description: API endpoints for wallet management
  - name: Taxes
    description: API endpoints for tax management
  - name: Billing Entities
    description: API endpoints for billing entities
  - name: Features
    description: API endpoints for managing features and privileges
  - name: Entitlements
    description: API endpoints for managing plan and subscription entitlements
paths:
  /billing-entities:
    get:
      tags:
        - Billing Entities
      summary: List all billing entities
      operationId: GetBillingEntities
      responses:
        '200':
          description: List of billing entities
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingEntityListResponse'
              example:
                - id: b8e2a656-04eb-441c-a6b2-bfab9e2a0f7c
                  code: acme_inc
                  name: Acme Inc
                  default_currency: USD
                  finalize_zero_amount_invoice: true
                  is_default: true
                  address:
                    line1: 123 Business Ave
                    city: San Francisco
                    state: CA
                    country: US
                    postal_code: '94107'
                  legal_name: Acme Corporation Inc.
                  legal_number: US123456789
                  email: billing@acmeinc.com
                  timezone: America/Los_Angeles
                  created_at: '2023-01-15T00:00:00Z'
                  updated_at: '2023-01-15T00:00:00Z'
                - id: c9f3b767-15fc-552d-b7c3-cfab0f3b1f8d
                  code: acme_eu
                  name: Acme Europe
                  default_currency: EUR
                  finalize_zero_amount_invoice: true
                  is_default: false
                  address:
                    line1: 456 Business Blvd
                    city: Paris
                    country: FR
                    postal_code: '75001'
                  legal_name: Acme Corporation SARL
                  legal_number: FR987654321
                  email: europe-billing@acmeinc.com
                  timezone: Europe/Paris
                  created_at: '2023-01-15T00:00:00Z'
                  updated_at: '2023-01-15T00:00:00Z'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    BillingEntityListResponse:
      description: Array of billing entities
      type: array
      items:
        $ref: '#/components/schemas/BillingEntity'
    BillingEntity:
      description: >-
        Represents a billing entity which can be associated with invoices,
        customers, and taxes
      type: object
      allOf:
        - $ref: '#/components/schemas/BillingEntityBase'
        - type: object
          properties:
            code:
              $ref: '#/components/schemas/BillingEntityCode'
            is_default:
              type: boolean
              description: Whether this is the default billing entity
              example: false
            id:
              type: string
              format: uuid
              description: The unique identifier for the billing entity
              example: b8e2a656-04eb-441c-a6b2-bfab9e2a0f7c
            created_at:
              allOf:
                - $ref: '#/components/schemas/DateTimeWithZone'
                - description: Creation timestamp
                  example: '2023-01-15T00:00:00Z'
            updated_at:
              allOf:
                - $ref: '#/components/schemas/DateTimeWithZone'
                - description: Last update timestamp
                  example: '2023-01-15T00:00:00Z'
    Error:
      type: object
      properties:
        name:
          type: string
        debug_id:
          type: string
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetail'
    BillingEntityBase:
      description: Base schema for billing entity request/response objects
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: Name of the billing entity
          example: Acme Inc
        default_currency:
          $ref: '#/components/schemas/Currency'
        finalize_zero_amount_invoice:
          type: boolean
          description: Whether to finalize invoices with zero amount
          example: true
        address:
          $ref: '#/components/schemas/Address'
        legal_name:
          type: string
          description: Legal name of the entity
          nullable: true
          example: Acme Corporation Inc.
        legal_number:
          type: string
          description: Legal registration number
          nullable: true
          example: US123456789
        email:
          type: string
          format: email
          description: Contact email for the entity
          nullable: true
          example: billing@acmeinc.com
        timezone:
          $ref: '#/components/schemas/Timezone'
    BillingEntityCode:
      type: string
      description: >-
        Unique code used to identify the billing entity. Must contain only
        alphanumeric characters, underscores, and hyphens.
      pattern: ^[a-zA-Z0-9_-]*$
      example: acme_inc
    DateTimeWithZone:
      type: string
      format: date-time
      description: Date and time in ISO 8601 format.
      example: '2023-10-01T12:00:00Z'
    ErrorDetail:
      type: object
      properties:
        field:
          type: string
        value:
          type: string
        location:
          type: string
        issue:
          type: string
        description:
          type: string
    Currency:
      type: string
      description: Currency code in ISO 4217 format.
      example: USD
      minLength: 3
      maxLength: 3
      pattern: ^[A-Z]{3}$
    Address:
      description: Address of the customer or party.
      type: object
      properties:
        line1:
          type: string
          nullable: false
          minLength: 1
          maxLength: 254
          description: First line of the address.
          example: 123 Main St
        line2:
          type: string
          minLength: 1
          maxLength: 512
          description: >-
            Second line of the address (optional). This can include apartment,
            suite, or unit numbers.
          example: Apt 4B
        city:
          type: string
          nullable: false
          minLength: 1
          maxLength: 512
          description: City of the customer or party.
          example: New York
        state:
          type: string
          nullable: false
          minLength: 1
          maxLength: 512
          description: State or region of the customer or party.
          example: NY
        postal_code:
          type: string
          nullable: false
          minLength: 1
          maxLength: 512
          description: >-
            Postal or ZIP code of the customer or party. Typically required for
            countries with a postal code or an equivalent.
          example: '10001'
        country:
          type: string
          nullable: false
          pattern: ^[A-Z]{2}$
          minLength: 2
          maxLength: 2
          description: >-
            Country of the customer or party. Use ISO 3166-1 alpha-2 country
            codes.
          example: US
    Timezone:
      type: string
      example: UTC
      description: The timezone of the billing entity
      x-enum:
        - UTC
        - Africa/Algiers
        - Africa/Cairo
        - Africa/Casablanca
        - Africa/Harare
        - Africa/Johannesburg
        - Africa/Monrovia
        - Africa/Nairobi
        - America/Argentina/Buenos_Aires
        - America/Bogota
        - America/Caracas
        - America/Chicago
        - America/Chihuahua
        - America/Denver
        - America/Godthab
        - America/Guatemala
        - America/Guyana
        - America/Halifax
        - America/Indiana/Indianapolis
        - America/Juneau
        - America/La_Paz
        - America/Lima
        - America/Los_Angeles
        - America/Mazatlan
        - America/Mexico_City
        - America/Monterrey
        - America/Montevideo
        - America/New_York
        - America/Phoenix
        - America/Puerto_Rico
        - America/Regina
        - America/Santiago
        - America/Sao_Paulo
        - America/St_Johns
        - America/Tijuana
        - Asia/Almaty
        - Asia/Baghdad
        - Asia/Baku
        - Asia/Bangkok
        - Asia/Chongqing
        - Asia/Colombo
        - Asia/Dhaka
        - Asia/Hong_Kong
        - Asia/Irkutsk
        - Asia/Jakarta
        - Asia/Jerusalem
        - Asia/Kabul
        - Asia/Kamchatka
        - Asia/Karachi
        - Asia/Kathmandu
        - Asia/Kolkata
        - Asia/Krasnoyarsk
        - Asia/Kuala_Lumpur
        - Asia/Kuwait
        - Asia/Magadan
        - Asia/Muscat
        - Asia/Novosibirsk
        - Asia/Rangoon
        - Asia/Riyadh
        - Asia/Seoul
        - Asia/Shanghai
        - Asia/Singapore
        - Asia/Srednekolymsk
        - Asia/Taipei
        - Asia/Tashkent
        - Asia/Tbilisi
        - Asia/Tehran
        - Asia/Tokyo
        - Asia/Ulaanbaatar
        - Asia/Urumqi
        - Asia/Vladivostok
        - Asia/Yakutsk
        - Asia/Yekaterinburg
        - Asia/Yerevan
        - Australia/Adelaide
        - Australia/Brisbane
        - Australia/Darwin
        - Australia/Hobart
        - Australia/Melbourne
        - Australia/Perth
        - Australia/Sydney
        - Europe/Amsterdam
        - Europe/Athens
        - Europe/Belgrade
        - Europe/Berlin
        - Europe/Bratislava
        - Europe/Brussels
        - Europe/Bucharest
        - Europe/Budapest
        - Europe/Copenhagen
        - Europe/Dublin
        - Europe/Helsinki
        - Europe/Istanbul
        - Europe/Kaliningrad
        - Europe/Kiev
        - Europe/Lisbon
        - Europe/Ljubljana
        - Europe/London
        - Europe/Madrid
        - Europe/Minsk
        - Europe/Moscow
        - Europe/Paris
        - Europe/Prague
        - Europe/Riga
        - Europe/Rome
        - Europe/Samara
        - Europe/Sarajevo
        - Europe/Skopje
        - Europe/Sofia
        - Europe/Stockholm
        - Europe/Tallinn
        - Europe/Vienna
        - Europe/Vilnius
        - Europe/Volgograd
        - Europe/Warsaw
        - Europe/Zagreb
        - Europe/Zurich
        - Pacific/Apia
        - Pacific/Auckland
        - Pacific/Chatham
        - Pacific/Fakaofo
        - Pacific/Fiji
        - Pacific/Guadalcanal
        - Pacific/Guam
        - Pacific/Honolulu
        - Pacific/Majuro
        - Pacific/Midway
        - Pacific/Noumea
        - Pacific/Pago_Pago
        - Pacific/Port_Moresby
        - Pacific/Tongatapu
      x-enum-descriptions:
        - Coordinated Universal Time (UTC), the primary time standard
        - Algeria Time (UTC+1), used in Algeria
        - Eastern European Time (UTC+2), used in Egypt
        - Western European Time (UTC+0/+1), used in Morocco
        - Central Africa Time (UTC+2), used in Zimbabwe
        - South Africa Standard Time (UTC+2), used in South Africa
        - Greenwich Mean Time (UTC+0), used in Liberia
        - East Africa Time (UTC+3), used in Kenya
        - Argentina Time (UTC-3), used in Buenos Aires
        - Colombia Time (UTC-5), used in Colombia
        - Venezuela Time (UTC-4), used in Venezuela
        - Central Standard Time (UTC-6), used in central United States
        - Mountain Standard Time (UTC-7), used in Chihuahua, Mexico
        - >-
          Mountain Standard Time (UTC-7), used in mountain states of the United
          States
        - West Greenland Time (UTC-3), used in Greenland
        - Central America Time (UTC-6), used in Guatemala
        - Guyana Time (UTC-4), used in Guyana
        - Atlantic Standard Time (UTC-4), used in Halifax, Canada
        - Eastern Standard Time (UTC-5), used in Indianapolis, United States
        - Alaska Time (UTC-9), used in Juneau, Alaska
        - Bolivia Time (UTC-4), used in La Paz
        - Peru Time (UTC-5), used in Peru
        - Pacific Standard Time (UTC-8), used in western United States
        - Mexican Pacific Time (UTC-7), used in Mazatlan, Mexico
        - Central Standard Time (UTC-6), used in Mexico City
        - Mexican Central Standard Time (UTC-6), used in Monterrey, Mexico
        - Uruguay Time (UTC-3), used in Uruguay
        - Eastern Standard Time (UTC-5), used in eastern United States
        - Mountain Standard Time (UTC-7), used in Phoenix, Arizona
        - Atlantic Standard Time (UTC-4), used in Puerto Rico
        - Central Standard Time (UTC-6), used in Saskatchewan, Canada
        - Chile Standard Time (UTC-4), used in Santiago, Chile
        - Brasília Time (UTC-3), used in São Paulo, Brazil
        - Newfoundland Standard Time (UTC-3:30), used in Newfoundland, Canada
        - Pacific Standard Time (UTC-8), used in Tijuana, Mexico
        - Alma-Ata Time (UTC+6), used in Almaty, Kazakhstan
        - Arabia Standard Time (UTC+3), used in Baghdad, Iraq
        - Azerbaijan Time (UTC+4), used in Baku, Azerbaijan
        - Indochina Time (UTC+7), used in Thailand
        - China Standard Time (UTC+8), used in Chongqing, China
        - India Standard Time (UTC+5:30), used in Sri Lanka
        - Bangladesh Standard Time (UTC+6), used in Bangladesh
        - Hong Kong Time (UTC+8), used in Hong Kong
        - Irkutsk Time (UTC+8), used in Irkutsk, Russia
        - Western Indonesian Time (UTC+7), used in Jakarta, Indonesia
        - Israel Standard Time (UTC+2), used in Jerusalem, Israel
        - Afghanistan Time (UTC+4:30), used in Afghanistan
        - Kamchatka Time (UTC+12), used in Kamchatka, Russia
        - Pakistan Standard Time (UTC+5), used in Pakistan
        - Nepal Time (UTC+5:45), used in Nepal
        - India Standard Time (UTC+5:30), used in India
        - Krasnoyarsk Time (UTC+7), used in Krasnoyarsk, Russia
        - Malaysia Time (UTC+8), used in Kuala Lumpur, Malaysia
        - Arabia Standard Time (UTC+3), used in Kuwait
        - Magadan Time (UTC+11), used in Magadan, Russia
        - Gulf Standard Time (UTC+4), used in Muscat, Oman
        - Novosibirsk Time (UTC+7), used in Novosibirsk, Russia
        - Myanmar Time (UTC+6:30), used in Myanmar
        - Arabia Standard Time (UTC+3), used in Saudi Arabia
        - Korea Standard Time (UTC+9), used in South Korea
        - China Standard Time (UTC+8), used in Shanghai, China
        - Singapore Time (UTC+8), used in Singapore
        - Srednekolymsk Time (UTC+11), used in Srednekolymsk, Russia
        - Taiwan Time (UTC+8), used in Taiwan
        - Uzbekistan Time (UTC+5), used in Tashkent, Uzbekistan
        - Georgia Standard Time (UTC+4), used in Tbilisi, Georgia
        - Iran Standard Time (UTC+3:30), used in Iran
        - Japan Standard Time (UTC+9), used in Japan
        - Ulaanbaatar Time (UTC+8), used in Mongolia
        - China Standard Time (UTC+8), used in Urumqi, China
        - Vladivostok Time (UTC+10), used in Vladivostok, Russia
        - Yakutsk Time (UTC+9), used in Yakutsk, Russia
        - Yekaterinburg Time (UTC+5), used in Yekaterinburg, Russia
        - Armenia Time (UTC+4), used in Yerevan, Armenia
        - >-
          Australian Central Standard Time (UTC+9:30), used in Adelaide,
          Australia
        - Australian Eastern Standard Time (UTC+10), used in Brisbane, Australia
        - Australian Central Standard Time (UTC+9:30), used in Darwin, Australia
        - Australian Eastern Standard Time (UTC+10), used in Hobart, Australia
        - >-
          Australian Eastern Standard Time (UTC+10), used in Melbourne,
          Australia
        - Australian Western Standard Time (UTC+8), used in Perth, Australia
        - Australian Eastern Standard Time (UTC+10), used in Sydney, Australia
        - Central European Time (UTC+1), used in Amsterdam, Netherlands
        - Eastern European Time (UTC+2), used in Athens, Greece
        - Central European Time (UTC+1), used in Belgrade, Serbia
        - Central European Time (UTC+1), used in Berlin, Germany
        - Central European Time (UTC+1), used in Bratislava, Slovakia
        - Central European Time (UTC+1), used in Brussels, Belgium
        - Eastern European Time (UTC+2), used in Bucharest, Romania
        - Central European Time (UTC+1), used in Budapest, Hungary
        - Central European Time (UTC+1), used in Copenhagen, Denmark
        - Irish Standard Time (UTC+0/+1), used in Dublin, Ireland
        - Eastern European Time (UTC+2), used in Helsinki, Finland
        - Turkey Time (UTC+3), used in Istanbul, Turkey
        - Eastern European Time (UTC+2), used in Kaliningrad, Russia
        - Eastern European Time (UTC+2), used in Kiev, Ukraine
        - Western European Time (UTC+0/+1), used in Lisbon, Portugal
        - Central European Time (UTC+1), used in Ljubljana, Slovenia
        - Greenwich Mean Time/British Summer Time (UTC+0/+1), used in London, UK
        - Central European Time (UTC+1), used in Madrid, Spain
        - Moscow Standard Time (UTC+3), used in Minsk, Belarus
        - Moscow Standard Time (UTC+3), used in Moscow, Russia
        - Central European Time (UTC+1), used in Paris, France
        - Central European Time (UTC+1), used in Prague, Czech Republic
        - Eastern European Time (UTC+2), used in Riga, Latvia
        - Central European Time (UTC+1), used in Rome, Italy
        - Samara Time (UTC+4), used in Samara, Russia
        - >-
          Central European Time (UTC+1), used in Sarajevo, Bosnia and
          Herzegovina
        - Central European Time (UTC+1), used in Skopje, North Macedonia
        - Eastern European Time (UTC+2), used in Sofia, Bulgaria
        - Central European Time (UTC+1), used in Stockholm, Sweden
        - Eastern European Time (UTC+2), used in Tallinn, Estonia
        - Central European Time (UTC+1), used in Vienna, Austria
        - Eastern European Time (UTC+2), used in Vilnius, Lithuania
        - Moscow Standard Time (UTC+3), used in Volgograd, Russia
        - Central European Time (UTC+1), used in Warsaw, Poland
        - Central European Time (UTC+1), used in Zagreb, Croatia
        - Central European Time (UTC+1), used in Zurich, Switzerland
        - West Samoa Time (UTC+13), used in Samoa
        - New Zealand Standard Time (UTC+12), used in Auckland, New Zealand
        - >-
          Chatham Island Standard Time (UTC+12:45), used in Chatham Islands, New
          Zealand
        - Tokelau Time (UTC+13), used in Tokelau
        - Fiji Time (UTC+12), used in Fiji
        - Solomon Islands Time (UTC+11), used in Solomon Islands
        - Chamorro Standard Time (UTC+10), used in Guam
        - Hawaii-Aleutian Standard Time (UTC-10), used in Hawaii
        - Marshall Islands Time (UTC+12), used in Marshall Islands
        - Samoa Standard Time (UTC-11), used in Midway Islands
        - New Caledonia Time (UTC+11), used in New Caledonia
        - Samoa Standard Time (UTC-11), used in American Samoa
        - Papua New Guinea Time (UTC+10), used in Papua New Guinea
        - Tonga Time (UTC+13), used in Tonga
  responses:
    Forbidden:
      description: Authorization failed due to insufficient permissions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            name: NOT_AUTHORIZED
            message: Authorization failed due to insufficient permissions.
            debug_id: 565f78f101498
            details:
              - issue: PERMISSION_DENIED
                description: >-
                  You do not have permission to access or perform operations on
                  this resource.
    InternalServerError:
      description: Internal Server Error - An unexpected error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            name: INTERNAL_SERVER_ERROR
            message: An internal server error has occurred.
            debug_id: 90957fca61718
  securitySchemes:
    BearerAuth:
      type: oauth2
      description: >-
        Use the /v1/oauth2/token endpoint to obtain an access token and pass it
        as a Bearer token in the Authorization header.
      flows:
        clientCredentials:
          tokenUrl: https://api-m.sandbox.paypal.com/v1/oauth2/token
          scopes:
            read: Read access
            write: Write access

````